Perform the Accept or Decline action for a tender

post

/custom-actions/acceptDecline/tenders/{collab id}

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Request parameters for the accept or decline action.
Show Source
Nested Schema : bidAmount
Bid amount provided by the service provider when accepting the broadcast tender
Match All
Bid amount provided by the service provider when accepting the broadcast tender
Show Source
Nested Schema : conditionalSpotBids
Type: object
Optional conditional spot bids for the tender.
Show Source
Nested Schema : pks
Type: array
Pass the collab ID(s) pks to perform decline tender for one or more records when the collad ID is not passed in the URL.
Show Source
Nested Schema : remarks
Type: object
Remarks to be added when accepting single shipment group tender.
Show Source
Nested Schema : currencyType
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : bidAmount
Bid amount provided by the service provider
Match All
Bid amount provided by the service provider
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
Back to Top

Response

Supported Media Types

200 Response

Success! A successful POST method returns a 200 status code.
Body ()
Root Schema : acceptDeclineResponse
Type: object
Response after accept or decline the tender.
Show Source
Nested Schema : items
Type: array
Accepte or Decline response for tender.
Show Source
Nested Schema : acceptDeclineResultItem
Type: object
Show Source
Nested Schema : endTime
End Time
Match All
End Time
Show Source
Nested Schema : startTime
Start Time
Match All
Start Time
Show Source
Nested Schema : totalActualCost
Total Actual Cost
Match All
Total Actual Cost
Show Source
Nested Schema : totalWeightedCost
Total Weighted Cost
Match All
Total Weighted Cost
Show Source
Nested Schema : dateTimeType
Type: object
Show Source
Nested Schema : currencyType
Type: object
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : errorResponse
Type: object
Show Source

401 Response

Unauthorized, the request was not successful because it lacks valid authentication credentials for the requested resource.
Body ()
Root Schema : errorResponse
Type: object
Show Source

403 Response

Access to the specified resource has been forbidden.
Body ()
Root Schema : errorResponse
Type: object
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : errorResponse
Type: object
Show Source
Back to Top